'use strict';

const index = require('./index-bb72bde3.js');
const common = require('./common-a086c7ac.js');

var __rest = (undefined && undefined.__rest) || function (s, e) {
  var t = {};
  for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
    t[p] = s[p];
  if (s != null && typeof Object.getOwnPropertySymbols === "function")
    for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
      if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
        t[p[i]] = s[p[i]];
    }
  return t;
};
const Button = (_a, children) => {
  var { size = 'lg', kind = 'display', color = 'blue', variation = 'fill', anchor = false } = _a, props = __rest(_a, ["size", "kind", "color", "variation", "anchor"]);
  const Tag = anchor ? 'a' : 'button';
  let classes = [
    'ui-button',
    `ui-button-${size}`,
    `ui-button-${kind}`,
    `ui-button-${color}`,
    `ui-button-${variation}`,
  ];
  return (index.h(Tag, Object.assign({ tabindex: anchor ? '0' : undefined }, common.applyProps(props, { class: classes.join(' ') })), children));
};

exports.Button = Button;
